## visad.data.netcdf.in
Class VirtualData

    java.lang.Object
      visad.data.netcdf.in.VirtualData

Direct Known Subclasses:
  VirtualField, VirtualScalar, VirtualTuple

public abstract class VirtualData
extends Object

Provides support for a virtual VisAD data object.

Constructor Summary
`VirtualData()`

Method Summary
`abstract Object` `clone()` Clones this instance.
`DataImpl` `getData()` Gets the VisAD data object corresponding to this top-level, virtual, data object.
`abstract DataImpl` `getData(Context context)` Gets the VisAD data object corresponding to this virtual, data object, in context.
`abstract DataFactory` `getDataFactory()` Returns the factory used to create VisAD data objects.
`abstract MathType` `getType()` Gets the VisAD MathType of this virtual, data object.
`abstract void` `setDataFactory(DataFactory factory)` Sets the factory used to create VisAD data objects.
`String` `toString()` Gets the string that represents this object.

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### VirtualData

    public VirtualData()

Method Detail

### getType

    public abstract MathType getType()
                              throws VisADException

  Gets the VisAD MathType of this virtual, data object.

  Returns:
    The VisAD MathType of this virtual, data object.
  Throws:
    `VisADException`

### getData

    public DataImpl getData()
                     throws VisADException,
                            RemoteException,
                            IOException

  Gets the VisAD data object corresponding to this top-level, virtual, data object.

  Returns:
    The VisAD data object corresponding to this top-level, virtual, data object.
  Throws:
    `VisADException` - Couldn't create necessary VisAD object. throws RemoteException Remote access failure. throws IOException I/O failure.
    `RemoteException`
    `IOException`

### toString

    public String toString()

  Gets the string that represents this object.

  Returns:
    The string that represents this object.

### getData

    public abstract DataImpl getData(Context context)
                              throws VisADException,
                                     RemoteException,
                                     IOException

  Gets the VisAD data object corresponding to this virtual, data object, in context.

  Parameters:
    `context` - The context in which the data is to be gotten.
  Returns:
    The VisAD data object corresponding to this virtual, data object.
  Throws:
    `VisADException` - Couldn't create necessary VisAD object. throws RemoteException Remote access failure. throws IOException I/O failure.
    `RemoteException`
    `IOException`

### setDataFactory

    public abstract void setDataFactory(DataFactory factory)

  Sets the factory used to create VisAD data objects.

  Parameters:
    `factory` - The factory for creating VisAD data objects.

### getDataFactory

    public abstract DataFactory getDataFactory()

  Returns the factory used to create VisAD data objects.

  Returns:
    The factory for creating VisAD data objects.

### clone

    public abstract Object clone()

  Clones this instance.

  Returns:
    A (deep) clone of this instance.